function [] = export(File,export_filename,KPI,output,txt_out,txt_KPI,energy,txt_emissions )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here

Excel = actxserver ('Excel.Application');
File = [File,export_filename,];

if ~exist(File,'file')
    ExcelWorkbook = Excel.workbooks.Add;
    ExcelWorkbook.SaveAs(File,1);
    ExcelWorkbook.Close(false);
end
invoke(Excel.Workbooks,'Open',File);
'writing to excel started'
for i=1:size(output,2)
    xlswrite1(export_filename,output(i).type,'Output',char(txt_out(i,1)));
    xlswrite1(export_filename,output(i).from,'Output',char(txt_out(i,2)));
    xlswrite1(export_filename,output(i).to,'Output',char(txt_out(i,3)));
    xlswrite1(export_filename,output(i).value,'Output',char(txt_out(i,4)));
    
end
clear i; 
'writing almost done'
xlswrite1(export_filename,KPI(1).fractions,'Results',char(txt_KPI(1,1)));%generated
xlswrite1(export_filename,KPI(2).matrix,'Results',char(txt_KPI(1,2)));%collected
xlswrite1(export_filename,KPI(3).fractions,'Results',char(txt_KPI(2,1)));%sorted
xlswrite1(export_filename,KPI(3).matrix,'Results',char(txt_KPI(2,2)));
xlswrite1(export_filename,KPI(4).fractions,'Results',char(txt_KPI(3,1)));%recycled
xlswrite1(export_filename,KPI(4).matrix,'Results',char(txt_KPI(3,2)));
xlswrite1(export_filename,KPI(5).fractions,'Results',char(txt_KPI(4,1)));%Roaf
xlswrite1(export_filename,KPI(5).matrix,'Results',char(txt_KPI(4,2)));%Roaf
xlswrite1(export_filename,KPI(2).eff_fr,'Results','N6');
xlswrite1(export_filename,KPI(2).eff_tot,'Results','N5');
xlswrite1(export_filename,KPI(3).eff_fr,'Results','O6');
xlswrite1(export_filename,KPI(3).eff_tot,'Results','O5');
xlswrite1(export_filename,KPI(4).eff_fr,'Results','P6');
xlswrite1(export_filename,KPI(4).eff_tot,'Results','P5');
xlswrite1(export_filename,KPI(5).eff_fr,'Results','Q6');  % denne var kommentert ut? n inn igjen
xlswrite1(export_filename,KPI(5).eff_tot,'Results','Q5');
xlswrite1(export_filename,KPI(6).fractions,'Results','N18');%energy in/out
xlswrite1(export_filename,KPI(6).eff_tot,'Results','N17');

xlswrite1(export_filename,energy(1).matrix,'Energy','U6');%feed
xlswrite1(export_filename,energy(2).matrix,'Energy','D6');%transport
xlswrite1(export_filename,energy(3).matrix,'Energy','M6');%process
xlswrite1(export_filename,energy(4).matrix,'Energy','AC6');%Out
xlswrite1(export_filename,energy(4).brennverdi,'Energy','AC14');%brennverdi
xlswrite1(export_filename,energy(5).matrix,'Output','AN4');%tot inflow each process

%{
for i =1:size(energy(6).transport,2)
    xlswrite1(export_filename,energy(6).transport(i).type,'Emissions',char(txt_emissions(1,i)));
    xlswrite1(export_filename,energy(6).transport(i).kwh,'Emissions',char(txt_emissions(2,i)));
    xlswrite1(export_filename,energy(6).transport(i).energy,'Emissions',char(txt_emissions(3,i)));
end

for i =1:size(energy(6).process,2)
    xlswrite1(export_filename,energy(6).process(i).type,'Emissions',char(txt_emissions(1,i+size(energy(6).transport,2))));
    xlswrite1(export_filename,energy(6).process(i).kwh,'Emissions',char(txt_emissions(2,i+size(energy(6).transport,2))));
    xlswrite1(export_filename,energy(6).process(i).energy,'Emissions',char(txt_emissions(3,i+size(energy(6).transport,2))))   
end
%}

invoke(Excel.ActiveWorkbook,'Save');
Excel.Quit
Excel.delete
clear Excel

end


